Name:           python-mkdocs-redirects
Version:        1.0.5
Release:        1%{?dist}
Summary:        A MkDocs plugin for dynamic page redirects to prevent broken links
BuildArch:      noarch

# License file missing: https://github.com/datarobot/mkdocs-redirects/issues/30
License:        MIT
URL:            https://github.com/datarobot/mkdocs-redirects
Source0:        %{pypi_source mkdocs-redirects}

BuildRequires:  python3-devel

%description
A MkDocs plugin for dynamic page redirects to prevent broken links.


%package -n python3-mkdocs-redirects
Summary:        %{summary}


%description -n python3-mkdocs-redirects
A MkDocs plugin for dynamic page redirects to prevent broken links.


%prep
%autosetup -p1 -n mkdocs-redirects-%{version}


%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel

%check
%py3_check_import mkdocs_redirects


%install
%pyproject_install
%pyproject_save_files mkdocs_redirects


%files -n python3-mkdocs-redirects -f %{pyproject_files}
%doc README.md


%changelog
* Thu Aug 04 2022 Sandro Mani <manisandro@gmail.com> - 1.0.5-1
- Update to 1.0.5

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed Jun 15 2022 Python Maint <python-maint@redhat.com> - 1.0.4-2
- Rebuilt for Python 3.11

* Thu Mar 31 2022 Sandro Mani <manisandro@gmail.com> - 1.0.4-1
- Update to 1.0.4

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Sep 03 2021 Sandro Mani <manisandro@gmail.com> - 1.0.3-3
- Add %%check
- Add comment about missing LICENSE file

* Thu Sep 02 2021 Sandro Mani <manisandro@gmail.com> - 1.0.3-2
- Port to new Python guidelines

* Wed Sep 01 2021 Sandro Mani <manisandro@gmail.com> - 1.0.3-1
- Initial package
